Bug 146950 - eclipse won't start
Summary: eclipse won't start
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-02 22:38 UTC by yeech
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-03 18:40:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description yeech 2005-02-02 22:38:55 UTC
Description of problem:

eclipse won't start. eclipse would run in earlier revs. I have removed
(rpm -e) and reinstalled (yum install). I do have and have had Sun's
java installed and version 3.1 of eclispe from eclipse.org.

It complains on the command line and in a pop-up window:

$ eclipse
libgcj failure: Duplicate class registration: java.awt.image.RenderedImage
Warning: -Xms64M not understood. Ignoring.
Warning: -Xmx256M not understood. Ignoring.
libgcj failure: Duplicate class registration: java.awt.image.RenderedImage

The window:

JVM terminated. Exit code=1
/usr/bin/java
-Xms64M
-Xmx256M
-Dorg.eclipse.core.runtime.ignoreLockFile=true
-Dgnu.gcj.runtime.VMClassLoader.library_control=never
-Dgnu.gcj.precompiled.db.path=/usr/lib/eclipse/eclipse.db
-cp /usr/share/eclipse/startup.jar org.eclipse.core.launcher.Main
-os linux
-ws gtk
-arch x86
-showsplash /usr/share/eclipse/eclipse -showsplash 600
-exitdata /usr/share/eclipse/eclipse -exitdata dd8014
-data /nimitz/home/rshewan/workspace
-vm /usr/bin/java
-vmargs
-Xms64M
-Xmx256M
-Dorg.eclipse.core.runtime.ignoreLockFile=true
-Dgnu.gcj.runtime.VMClassLoader.library_control=never
-Dgnu.gcj.precompiled.db.path=/usr/lib/eclipse/eclipse.db
-cp /usr/share/eclipse/startup.jar org.eclipse.core.launcher.Main 


Version-Release number of selected component (if applicable):

eclipse-platform = 1:3.0.1_fc-14

How reproducible:

Every time.

Steps to Reproduce:
1. type eclipse at a bash prompt
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Andrew Overholt 2005-02-02 22:44:49 UTC
Assigning to me.

You need to have the following packages installed (or greater
version-releases):

gcc4-java-4.0.0-0.22
libgcj4-devel-4.0.0-0.22
libgcj4-4.0.0-0.22
java-1.4.2-gcj4-compat-1.4.2.0-2jpp
java-1.4.2-gcj4-compat-devel-1.4.2.0-2jpp

You also need to make sure that your java and javac alternatives are
pointing to those from java-1.4.2-gcj4-compat:

su - -c "update-alternatives --set java \
  /usr/lib/jvm/jre-1.4.2-gcj4/bin/java"
su - -c "update-alternatives --set javac \
  /usr/lib/jvm/java-1.4.2-gcj4/bin/javac"

Please close the bug if these things work for you.  Otherwise, please
give the output of:

rpm -qa | grep eclipse
rpm -q gcc4-java
rpm -q libgcj4-devel
which java
java --version
which javac
javac -version

Comment 2 yeech 2005-02-02 23:15:50 UTC
Thanks!

The update-alternatives did the trick. I still see

$ eclipse
Warning: -Xms64M not understood. Ignoring.
Warning: -Xmx256M not understood. Ignoring.
Warning: Could not get charToByteConverterClass!

Is this a problem? Is there a web site associated with this effort?

Comment 3 Andrew Overholt 2005-02-03 15:56:35 UTC
The JVM memory warnings can be removed by removing the corresponding
flags in /usr/bin/eclipse.  Someone should make it so that those flags
are not used when we're using GCJ ... and only use the GCJ-specific
options (precompiled.db, etc.) when using gij.  I guess we'll need to
run a java -version to figure out what JVM we're running.  Either way,
it's not that important right now.

I'm not entirely sure about the charToByteConverterClass error.  It
doesn't seem to be affecting things right now, but there's a bug about
it nonetheless:  #146959.

There isn't really a web site for this effort.  I heard something
about a fedora-java-devel-list list being created but in the meantime
fedora-devel-list@redhat.com is probably the best place to discuss
this stuff.  Thanks for the interest.

Can you close this bug now?

Comment 4 yeech 2005-02-03 18:39:08 UTC
Thanks for the information. It runs.

The JVM options are not originating from /usr/bin/eclipse. This file
appears to be the Fedora version of the file as opposed to eclipse.org.



Comment 5 Andrew Overholt 2005-02-03 18:47:07 UTC
Oh yeah, they're coming from /etc/eclipse.conf (and we set that so we
should change it when using the natively-compiled eclipse).  Thanks
for closing.


Note You need to log in before you can comment on or make changes to this bug.